import { jsx } from "react/jsx-runtime";
import { NetworkInk as NetworkInk$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NetworkInk = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "Ink", "data-name": "NetworkInk", ...props, children: /* @__PURE__ */ jsx(NetworkInk$1, { variant }) });
  }
);
NetworkInk.displayName = "NetworkInk";
Object.assign(NetworkInk, { isGdsIcon: true });
export {
  NetworkInk
};
